Zero-day vulnerability in PPX-AnyLink 6004

Code Injection

Not patched

The vulnerability was used by multiple ransomware gangs to remotely execute code to PPX-AnyLink devices 

Vulnerability details

Advisory: SB2021102610 - Remote code execution in EntroLink PPX-AnyLink devices

Vulnerable component: PPX-AnyLink 6004

CVE-ID:

CVSSv3 score: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H/E:H/RL:U/RC:C

CWE-ID: CWE-94 - Improper Control of Generation of Code ('Code Injection')

Description:

The vulnerability allows a remote user to execute arbitrary code on the target system.

The vulnerability exists due to improper input validation. A remote administrator can execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Note, the vulnerability is being actively exploited in the wild.

External links: